---
category: builds-support
order: 30
---

# Getting support

## GitHub

You can report issues and feature requests on [GitHub](https://github.com/ckeditor/ckeditor5). This is also a good place to discuss architecture decisions and things which are not yet covered by the documentation.

[Each CKEditor 5 repository](https://github.com/ckeditor?utf8=%E2%9C%93&q=ckeditor5&type=&language=) handles its issues independently. If you are not sure where your ticket belongs, it is best to report it in the [main repository](https://github.com/ckeditor/ckeditor5).

Refer to {@link builds/guides/support/reporting-issues Reporting issues} guide for more details.

## Stack Overflow

[Stack Overflow](https://stackoverflow.com) is the best place for developers to share their problems and solutions.

Make sure to tag your questions with ["ckeditor"](https://stackoverflow.com/questions/tagged/ckeditor) and ["ckeditor5"](https://stackoverflow.com/questions/tagged/ckeditor5) to reach the widest audience.

## Gitter

[CKEditor 5 Gitter channel](https://gitter.im/ckeditor/ckeditor5) is the place where you can discuss all matters that do not fit GitHub or Stack Overflow.

Gitter is convenient for asking quick questions, however, it is not the best place for more complex topics which might interest other developers (Gitter logs are indexed via Google but rather poorly). Therefore, try to avoid lengthy discussions on topics which would make sense to be reported either on GitHub or Stack Overflow.

DOs:

* Is it a known bug that "..."?
* Do you plan to tag the new release this week?
* I can't find XYZ's documentation. Is it available somewhere?
* I'm in Warsaw. Anyone for a coffee?

DON'Ts:

* How to extend the selection to the end of the block?
* Could you implement support for XYZ?
* I can't make X and Y work together in my app. I developed this plugin and...
* The editor crashes if I press <kbd>Enter</kbd>. Please help.

And most importantly, be kind to everyone.

## Commercial support

CKEditor 5 also comes with commercial licensing benefits, such as direct support from the core CKEditor development team. Commercial licenses are designed with professionals and enterprises in mind.

For more information, check the [CKEditor 5 Pricing page](https://ckeditor.com/ckeditor-5-builds/pricing/).
