---
# Scope:
# * Serve as a single point for the most common questions.
# * Drive the user to other parts of documentation.
# * Bring knowledge for topics not covered in other parts of the documentation.

category: builds-support
order: 40
---

# Reporting issues

If you feel you found an issue in CKEditor 5, we will be grateful for letting us know. Before you create a bug report, please read the guidelines on how to do it properly and most efficiently.

## Reproduce on official examples

To eliminate the chance that the issue might be caused by some third-party software or your customizations, try to reproduce the issue on the {@link examples/index official examples} first.

The examples are always running the latest editor version. Please note that if the problem was fixed in one of the releases that succeeded the version you are using, you will need to upgrade your CKEditor 5 installation as we do not backport fixes.

Most of the issues are reproducible on the demo. If you have a different case though, no problem. Go ahead with the next steps.

## Reporting issues

All issues should be reported in the [CKEditor 5 repositories](https://github.com/ckeditor?q=ckeditor5) on GitHub.

Issues related to builds are usually caused by issues in the CKEditor 5 Framework components and plugins included in the build. You may report issues directly into the repositories that you think are related to them (like plugins) but, if you are unsure, the [`ckeditor5` issues page](https://github.com/ckeditor/ckeditor5/issues) should be used as the fallback place for any issue. The CKEditor 5 team will then move the issue to the right place or give you further instructions, if necessary.

Issues with third-party plugins should be reported directly to their developers.
