---
category: features
order: 10
toc: false
---

# Features

<info-box>
	Use the **navigation tree on the left** to navigate through selected CKEditor 5 features.
</info-box>

## Features availability

Most of the features are included in CKEditor 5 Builds and are available out of the box, like for example {@link features/autoformat Autoformatting} or {@link features/keyboard-support Keyboard support}. However, some of the presented features need to be manually included in a customized CKEditor build, for example the {@link features/markdown Markdown processor} which outputs Markdown instead of HTML.

## Looking for more?

The examples on the left do not present all features included in CKEditor 5. For example some end-user features like bulleted and numbered lists are quite self-explanatory.

Please bear in mind that the stable version of CKEditor 5 has not been officially released yet and with time more features will be added to CKEditor 5. If you are missing anything particular, feel free to [suggest a new feature](https://github.com/ckeditor/ckeditor5/issues) and share your feedback with us. If it has already been reported by someone else, upvote it to show your support.

## How about creating your own features?

Probably the most exciting features are the ones you can develop on top of CKEditor 5 Framework!
We are slowly enhancing the {@link framework/index CKEditor 5 Framework documentation} together with {@link api/index API documentation}, hoping to give you a solid base for {@link framework/guides/quick-start#creating-a-simple-plugin creating custom features}.

The official add-ons repository for CKEditor 4 reached an impressive number of over 300 add-ons created and published by the community. Now it is time for you to add your contributions to the brand new CKEditor 5!
